com.pivotal.gemfirexd.internal.client.net

## Class NetPackageRequest

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Request
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageRequest

All Implemented Interfaces:
  ConnectionRequestInterface

Direct Known Subclasses:
  NetStatementRequest

    public class NetPackageRequest
    extends NetConnectionRequest

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`bytes_, ccsidManager_, DSS_CONTINUATION_LEN, dssLengthLocation_, netAgent_, offset_, passwordIncluded_, passwordLength_, passwordStart_`

### Method Summary

Methods
`protected void` `buildSQLATTRcommandData(String sql)`
`protected void` `buildSQLSTTcommandData(String sql)`
`void` `encryptDataStream(int lengthLocation)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest

`writeCommitSubstitute, writeForget, writeLocalCommit, writeLocalRollback, writeLocalXACommit, writeLocalXARollback, writeLocalXAStart, writeReleaseConversation, writeSYNCType, writeXaCommit, writeXaEndUnitOfWork, writeXaForget, writeXaPrepare, writeXaRecover, writeXaRollback, writeXaStartUnitOfWork`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`calculateExtendedLengthByteCount, clearBuffer, createCommand, createXACommand, doesRequestContainData, ensureLength, finalizeDssLength, finalizePreviousChainedDss, flush, flushExistingDSS, flushScalarStreamSegment, flushScalarStreamSegment, mark, markForCachingPKGNAMCSN, markLengthBytes, padScalarStreamForError, popMark, popMarkForCachingPKGNAMCSN, prepScalarStream, sendBytes, setCorrelationID, setDssLengthLocation, updateLengthBytes, writeDouble, writeFloat, writeIntFdocaData, writeLongFdocaData, writeScalar1Byte, writeScalar4Bytes, writeShortFdocaData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### buildSQLSTTcommandData

    protected void buildSQLSTTcommandData(String sql)
                                   throws SqlException

Throws:
  `SqlException`

#### buildSQLATTRcommandData

    protected void buildSQLATTRcommandData(String sql)
                                    throws SqlException

Throws:
  `SqlException`

#### encryptDataStream

    public void encryptDataStream(int lengthLocation)
                           throws SqlException

Throws:
  `SqlException`